SoSFVec2s(3)

NAME
SoSFVec2s - The SoSFVec2s class is a container for an SbVec2s vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec2s.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec2s & operator= (const SoSFVec2s &field)
virtual SbBool isSame (const SoField &field) const
SbVec2s getValue (void) const
void setValue (SbVec2s newvalue)
SbVec2s operator= (SbVec2s newvalue)
int operator== (const SoSFVec2s &field) const
int operator!= (const SoSFVec2s &field) const
void setValue (short x, short y)
void setValue (const short xy[2])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec2s value

  Additional Inherited Members

Detailed Description

The SoSFVec2s class is a container for an SbVec2s vector. This field is used where nodes, engines or other field containers need to store a single vector with two elements.

See also
    SoMFVec2s Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.0

Member Function Documentation

  void * SoSFVec2s::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec2s::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec2s::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec2s::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec2s::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec2s::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec2s::setValue (short x, short y)
Set value of vector.

  void SoSFVec2s::setValue (const short xy[2])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.